org.gcube.dataanalysis.dataminer.poolmanager.ansible.model

## Class Playbook

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.Playbook

    public class Playbook
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Playbook()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRole(String role)`
`void` `applyTo(String hostGroupName)`
`String` `getHostGroupName()`
`String` `getRemote_user()`
`List<String>` `getRoles()`
`void` `setHostGroupName(String hostGroupName)`
`void` `setRemote_user(String remote_user)`
`void` `setRoles(List<String> roles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Playbook

    public Playbook()

### Method Detail

#### addRole

    public void addRole(String role)

#### applyTo

    public void applyTo(String hostGroupName)

#### getHostGroupName

    public String getHostGroupName()

#### getRoles

    public List<String> getRoles()

#### getRemote_user

    public String getRemote_user()

#### setRemote_user

    public void setRemote_user(String remote_user)

#### setHostGroupName

    public void setHostGroupName(String hostGroupName)

#### setRoles

    public void setRoles(List<String> roles)